<template>
  <Layers 
    :isPage="isPage"
    :isTitle="isTitle"
    :dataRecord="dataRecord"
    :vid="vid"
    :listMode="listMode"
    :isDialog="isDialog"
    :activeData="activeData"
  />
</template>

<script>
import { defineComponent } from 'vue';
import { useStore } from "vuex";
import { useQuasar } from 'quasar';

import Layers from "dasmap/eagles/letGo/modules/layers/LayersAdmin.vue";
//~ import Layers from "dasmap/eagles/mapSet/modules/maps/LayersAdmin.vue";
//~ import Layers from "dasmap/eagles/goPro/modules/maps/LayersAdmin.vue";

var Asfa = function() {
  
  var Props = function () {
    return {
      isPage: {
        default: function () {
          return true;
        },
        type: Boolean,
      },
      isTitle: {
        default: function () {
          return true;
        },
        type: Boolean,
      },
      dataRecord: {
        default: function () {
          return null;
        },
        type: Object,
      },
      vid: {
        default: function () {
          return 0;
        },
        type: Number,
      },
      listMode: {
        default: function () {
          return "card"; // card,table
        },
        type: String,
      },
      isDialog: {
        default: function () {
          return false;
        },
        type: Boolean,
      },
      activeData: {
        default: function () {
          return null;
        },
        type: Object,
      },
    };
  };
  
  var Data = function() {
    return {
      store : useStore(),
    };
  };
  
  var Computed = function() {
    
    let baseUrl = function() {
      return DataSource.api.baseUrl;
    };
    
    let hostUrl = function() {
      return DataSource.api.hostUrl;
    };
    
    let darkStatus = function() {
      return this.$q.dark.isActive;
    };
        
    return {
      baseUrl,
      hostUrl,
      darkStatus,
    };
  };
  
  var Watch = function() {
  
    let $route = function(newVal) {
      let $a = this;
    };
    
    return {
      $route,
    };
  };
  
  var Methods = function() {
    
    let about = function() {
      console.log("About Asfa");
    };
    
    return {
      about,
    };
  };
  
  var Mounted = function() {
    let $a = this;
    
  };
  
  var Setup = function(props) {
    
  };
  
  var BeforeUnmount = function() {
    
  };
  
  var Component = function() { 
    
    return {
      // setup this component name
      name : "Layers",
      // addition functions here
      
      // setup used components here
      components : {
        Layers,
      },
      props : Props(),
      data : Data,
      computed : Computed(),
      watch : Watch(),
      methods : Methods(),
      mounted : Mounted,
      setup : Setup,
      beforeUnmount : BeforeUnmount,
    }
  };
  
  return Component();
};

export default defineComponent(Asfa());
</script>

<style>
    
</style>
